# List Client Invoices This method allows you to obtain the invoices for a specific client. You can filter the results by document status, type and if it’s archived or not. Endpoint: POST /clients/{client_id}/invoices.json Version: 2.0.0 Security: apiKeyAuth ## Path parameters: - `client_id` (integer, required) Filter invoices for this client. Example: 42 ## Query parameters: - `api_key` (string, required) Your API Key. Example: "YOUR_API_KEY" - `page` (integer) You can ask for a specific page of results. Defaults to 1. Example: 1 - `per_page` (integer) You can specify how many results you want to fetch. Defaults to 10 or value defined in account settings (10, 20 or 30). Example: 30 ## Request fields (application/json): - `filter` (object) Filters to apply on the list - `filter.status` (array) Example: ["final"] - `filter.by_type` (array) Example: ["Invoice"] - `filter.archived` (array) Example: ["non_archived"] ## Response 200 fields (application/json): - `invoices` (array) - `invoices.id` (integer) Example: 541793 - `invoices.status` (string) Example: "final" - `invoices.archived` (boolean) Example: true - `invoices.type` (string) Example: "Invoice" - `invoices.sequence_number` (string) Example: "28/A" - `invoices.inverted_sequence_number` (string) Example: "A/28" - `invoices.date` (string) Example: "27/06/2017" - `invoices.due_date` (string) Example: "27/06/2017" - `invoices.reference` (string) Example: "foo" - `invoices.observations` (string) Example: "foo" - `invoices.retention` (string) Example: "foo" - `invoices.permalink` (string) Example: "https://www.app.invoicexpress.com/documents/..." - `invoices.saft_hash` (string) Example: "Tdik" - `invoices.sum` (number) Example: 1 - `invoices.discount` (number) - `invoices.before_taxes` (number) Example: 1 - `invoices.taxes` (number) Example: 0.07 - `invoices.total` (number) Example: 1.07 - `invoices.currency` (string) Example: "Euro" - `invoices.client` (object) - `invoices.client.name` (string) Example: "John" - `invoices.client.country` (string) Example: "Portugal" - `invoices.items` (array) - `invoices.items.description` (string) Example: "foo" - `invoices.items.unit_price` (string) Example: "1.0" - `invoices.items.unit` (string) Example: "foo" - `invoices.items.quantity` (string) Example: "1.0" - `invoices.items.tax` (object) - `invoices.items.tax.value` (number) Example: 7 - `invoices.items.subtotal` (number) Example: 1 - `invoices.items.tax_amount` (number) Example: 0.07 - `invoices.items.discount_amount` (number) - `invoices.sequence_id` (string) Example: "12345" - `invoices.tax_exemption` (string) Example: "M01" - `pagination` (object) - `pagination.total_entries` (integer) Example: 6 - `pagination.current_page` (integer) Example: 1 - `pagination.total_pages` (integer) Example: 1 - `pagination.per_page` (integer) Example: 10 ## Response 401 fields (application/json): - `errors` (object) - `errors.error` (string) Example: "Invalid API key" ## Response 404 fields